
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java 7 并发编程指南中文版 / iVAN</title>

    <meta name="description" content="Java 7 并发编程指南中文版 原文链接 作者: Javier Fernández González  译者:郑玉婷,许巧辉 校对:方腾飞,欧振聪   申明:本书由并发编程网组织翻译,只供研究和学习之用,禁止任何人用于商业用途. 当你用计算机工作的时候,你在同时做多样事情.你可以边听音乐边写文档边读取邮件.可以这样做的原因是你的操作系统运行并发任务.并发编程是关于基础与进程的一个提供了多任务或者多程序同时运行还相互沟通来交换数据和相互同步的平台.Java是一个并发平台,在Java程序中提供了很多执行并发任务的类.每个版本,Ja">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java 7 并发编程指南中文版</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><a href="http://it-ebooks.info/book/1116/" rel="external nofollow noreferrer">原文链接</a> <strong>作者： Javier Fernández González  译者：郑玉婷，许巧辉 校对：方腾飞，欧振聪  </strong></p>
<p><em><strong>申明：本书由并发编程网组织翻译，只供研究和学习之用，禁止任何人用于商业用途。</strong></em></p>
<p>当你用计算机工作的时候，你在同时做多样事情。你可以边听音乐边写文档边读取邮件。可以这样做的原因是你的操作系统运行并发任务。并发编程是关于基础与进程的一个提供了多任务或者多程序同时运行还相互沟通来交换数据和相互同步的平台。Java是一个并发平台，在Java程序中提供了很多执行并发任务的类。每个版本，Java提升了促进程序员开发并发程序的功能。这本书包含了在Java版本7的并发API中最重要和最有用的技巧，你可以直接在你的应用程序中使用的。</p>
<h2>目录</h2>
<h3><a href="http://ifeve.com/java-7-concurrency-cookbook-preface/" rel="external nofollow noreferrer">前言</a></h3>
<h3>第一章: 线程管理</h3>
<ol>
<li><a href="http://ifeve.com/thread-management-1/" rel="external nofollow noreferrer">介绍 </a></li>
<li><a href="http://ifeve.com/thread-management-2/" rel="external nofollow noreferrer">线程的创建和运行 </a></li>
<li><a href="http://ifeve.com/thread-management-3/" rel="external nofollow noreferrer">获取和设置线程信息 </a></li>
<li><a href="http://ifeve.com/thread-management-4/" rel="external nofollow noreferrer">线程的中断 </a></li>
<li><a href="http://ifeve.com/thread-management-5/" rel="external nofollow noreferrer">操作线程的中断机制 </a></li>
<li><a href="http://ifeve.com/thread-management-6/" rel="external nofollow noreferrer">线程的睡眠和恢复 </a></li>
<li><a href="http://ifeve.com/thread-management-7/" rel="external nofollow noreferrer">等待线程的终结 </a></li>
<li><a href="http://ifeve.com/thread-management-8/" rel="external nofollow noreferrer">守护线程的创建和运行 </a></li>
<li><a href="http://ifeve.com/thread-management-9/" rel="external nofollow noreferrer">处理线程的不受控制异常 </a></li>
<li><a href="http://ifeve.com/thread-management-10/" rel="external nofollow noreferrer">使用本地线程变量</a></li>
<li><a href="http://ifeve.com/thread-management-11/" rel="external nofollow noreferrer">线程组</a></li>
<li><a href="http://ifeve.com/thread-management-12/" rel="external nofollow noreferrer">处理线程组内的不受控制异常</a></li>
<li><a href="http://ifeve.com/thread-management-13/" rel="external nofollow noreferrer">用线程工厂创建线程</a></li>
</ol>
<h3>第二章 : 基本线程同步</h3>
<ol>
<li><a href="http://ifeve.com/basic-thread-synchronization-1/" rel="external nofollow noreferrer">介绍 </a></li>
<li><a href="http://ifeve.com/basic-thread-synchroinzation-2/" rel="external nofollow noreferrer">同步方法 </a></li>
<li><a href="http://ifeve.com/basic-thread-synchronization-3/" rel="external nofollow noreferrer">在同步的类里安排独立属性</a></li>
<li><a href="http://ifeve.com/basic-thread-synchronization-4/" rel="external nofollow noreferrer">在同步代码中使用条件</a></li>
<li><a href="http://ifeve.com/basic-thread-synchronization-5/" rel="external nofollow noreferrer">使用Lock来同步代码块</a></li>
<li><a href="http://ifeve.com/basic-thread-synchronization-6/" rel="external nofollow noreferrer">使用读/写锁来同步数据访问</a></li>
<li><a href="http://ifeve.com/basic-thread-synchronization-7/" rel="external nofollow noreferrer">修改Lock的公平性</a></li>
<li><a href="http://ifeve.com/basic-thread-synchronization-8/" rel="external nofollow noreferrer">在Lock中使用多条件</a></li>
</ol>
<h3>第三章: 线程同步工具</h3>
<ol>
<li><a href="http://ifeve.com/thread-synchronization-utilities-1/" rel="external nofollow noreferrer">介绍</a></li>
<li><a href="http://ifeve.com/thread-synchronization-utilities-2/" rel="external nofollow noreferrer">控制并发访问一个资源</a></li>
<li><a href="http://ifeve.com/thread-synchronization-utilities-3/" rel="external nofollow noreferrer">控制并发访问多个资源</a></li>
<li><a href="http://ifeve.com/thread-synchronization-utilities-4/" rel="external nofollow noreferrer">等待多个并发事件完成</a></li>
<li><a href="http://ifeve.com/thread-synchronization-utilities-5/" rel="external nofollow noreferrer">在一个相同点同步任务</a></li>
<li><a href="http://ifeve.com/thread-synchronization-utilities-6-2/" rel="external nofollow noreferrer">运行并发阶段性任务</a></li>
<li><a href="http://ifeve.com/thread-synchronization-utilities-7/" rel="external nofollow noreferrer">控制并发阶段性任务的改变</a></li>
<li><a href="http://ifeve.com/thread-synchronization-utilities-8/" rel="external nofollow noreferrer">在并发任务间交换数据</a></li>
</ol>
<h3>第四章: 线程执行者</h3>
<ol>
<li><a href="http://ifeve.com/thread-executors-1/" rel="external nofollow noreferrer">介绍 </a></li>
<li><a href="http://ifeve.com/thread-executors-2/" rel="external nofollow noreferrer">创建一个线程执行者 </a></li>
<li><a href="http://ifeve.com/thread-executors-3/" rel="external nofollow noreferrer">创建一个大小固定的线程执行者 </a></li>
<li><a href="http://ifeve.com/thread-executors-4/" rel="external nofollow noreferrer">执行者执行返回结果的任务 </a></li>
<li><a href="http://ifeve.com/thread-executors-5/" rel="external nofollow noreferrer">运行多个任务并处理第一个结果 </a></li>
<li><a href="http://ifeve.com/thread-executors-6/" rel="external nofollow noreferrer">运行多个任务并处理所有的结果</a></li>
<li><a href="http://ifeve.com/thread-executors-7/" rel="external nofollow noreferrer">在延迟后执行者运行任务</a></li>
<li><a href="http://ifeve.com/thread-executors-8/" rel="external nofollow noreferrer">执行者定期的执行任务</a></li>
<li><a href="http://ifeve.com/thread-executors-9/" rel="external nofollow noreferrer">执行者取消任务 </a></li>
<li><a href="http://ifeve.com/thread-executors-10/" rel="external nofollow noreferrer">执行者控制一个结束任务 </a></li>
<li><a href="http://ifeve.com/thread-executors-11/" rel="external nofollow noreferrer">执行者分离运行任务和处理结果 </a></li>
<li><a href="http://ifeve.com/thread-executors-12/" rel="external nofollow noreferrer">执行者控制被拒绝的任务</a></li>
</ol>
<h3>第五章: Fork/Join 框架</h3>
<ol>
<li><a href="http://ifeve.com/fork-join-1/" rel="external nofollow noreferrer">介绍 </a></li>
<li><a href="http://ifeve.com/fork-join-2/" rel="external nofollow noreferrer">创建 Fork/Join 池 </a></li>
<li><a href="http://ifeve.com/fork-join-3/" rel="external nofollow noreferrer">加入任务的结果 </a></li>
<li><a href="http://ifeve.com/fork-join-4/" rel="external nofollow noreferrer">异步运行任务 </a></li>
<li><a href="http://ifeve.com/fork-join-5/" rel="external nofollow noreferrer">任务中抛出异常</a></li>
<li><a href="http://ifeve.com/fork-join-6/" rel="external nofollow noreferrer">取消任务</a></li>
</ol>
<h3>第六章: 并发集合</h3>
<ol>
<li><a href="http://ifeve.com/concurrent-collections-1/" rel="external nofollow noreferrer">介绍 </a></li>
<li><a href="http://ifeve.com/concurrent-collections-2/" rel="external nofollow noreferrer">使用非阻塞线程安全列表 </a></li>
<li><a href="http://ifeve.com/concurrent-collections-3/" rel="external nofollow noreferrer">使用阻塞线程安全列表 </a></li>
<li><a href="http://ifeve.com/concurrent-collections-4/" rel="external nofollow noreferrer">用优先级对使用阻塞线程安全列表排序</a></li>
<li><a href="http://ifeve.com/concurrent-collections-5/" rel="external nofollow noreferrer">使用线程安全与带有延迟元素的列表 </a></li>
<li><a href="http://ifeve.com/concurrent-collections-6/" rel="external nofollow noreferrer">使用线程安全的导航地图</a></li>
<li><a href="http://ifeve.com/concurrent-collections-7/" rel="external nofollow noreferrer">生成并行随机数 </a></li>
<li><a href="http://ifeve.com/concurrent-collections-8/" rel="external nofollow noreferrer">使用原子变量</a></li>
<li><a href="http://ifeve.com/concurrent-collections-9/" rel="external nofollow noreferrer">使用原子阵列 </a></li>
</ol>
<h3>第七章: 定制并发类</h3>
<ol>
<li><a href="http://ifeve.com/customizing-concurrency-classes-1/" rel="external nofollow noreferrer">介绍 </a></li>
<li><a href="http://ifeve.com/customizing-concurrency-classes-2/" rel="external nofollow noreferrer">定制ThreadPoolExecutor 类</a></li>
<li><a href="http://ifeve.com/customizing-concurrency-classes-3/" rel="external nofollow noreferrer">实现一个优先级制的执行者类 </a></li>
<li><a href="http://ifeve.com/customizing-concurrency-classes-4/" rel="external nofollow noreferrer">实现ThreadFactory接口来生成自定义线程 </a></li>
<li><a href="http://ifeve.com/customizing-concurrency-classes-5/" rel="external nofollow noreferrer">在执行者对象中使用我们的 ThreadFactory </a></li>
<li><a href="http://ifeve.com/customizing-concurrency-classes-6/" rel="external nofollow noreferrer">在计划好的线程池中定制运行任务 </a></li>
<li><a href="http://ifeve.com/customizing-concurrency-classes-7/" rel="external nofollow noreferrer">实现ThreadFactory接口来生成自定义线程给Fork/Join框架 </a></li>
<li><a href="http://ifeve.com/customizing-concurrency-classes-8/" rel="external nofollow noreferrer">在Fork/Join框架中定制运行任务 </a></li>
<li><a href="http://ifeve.com/customizing-concurrency-classes-9/" rel="external nofollow noreferrer">实现一个自定义锁类 </a></li>
<li><a href="http://ifeve.com/customizing-concurrency-classes-10/" rel="external nofollow noreferrer">实现一个基于优先级传输Queue </a></li>
<li><a href="http://ifeve.com/customizing-concurrency-classes-11/" rel="external nofollow noreferrer">实现你自己的原子对象</a></li>
</ol>
<h3>第八章: 测试并发应用程序</h3>
<ol>
<li><a href="http://ifeve.com/testing-concurrent-applications-1/" rel="external nofollow noreferrer">介绍</a></li>
<li><a href="http://ifeve.com/testing-concurrent-applications-2/" rel="external nofollow noreferrer">监控锁接口</a></li>
<li><a href="http://ifeve.com/testing-concurrent-applications-3/" rel="external nofollow noreferrer">监控Phaser类</a></li>
<li>监控执行者框架</li>
<li><a href="http://ifeve.com/testing-concurrent-applications-5-2/" rel="external nofollow noreferrer">监控Fork/Join池</a></li>
<li><a href="http://ifeve.com/testing-concurrent-applications-6-2/" rel="external nofollow noreferrer">编写有效的日志</a></li>
<li><a href="http://ifeve.com/testing-concurrent-applications-7/" rel="external nofollow noreferrer">FindBugs分析并发代码</a></li>
<li><a href="http://ifeve.com/testing-concurrent-applications-8/" rel="external nofollow noreferrer">配置Eclipse来调试并发代码</a></li>
<li><a href="http://ifeve.com/testing-concurrent-applications-9/" rel="external nofollow noreferrer">配置NetBeans来调试并发代码</a></li>
<li><a href="http://ifeve.com/testing-concurrent-applications-10/" rel="external nofollow noreferrer">MultithreadedTC测试并发代码</a></li>
</ol>
<p>可以从下面的链接下载免费章节：<a href="http://www.packtpub.com/sites/default/files/downloads/Building%20a%20Team%20and%20Working%20from%20Different%20Localities.pdf" rel="external nofollow noreferrer">下载</a></p>
<p>文章转自 <a href="http://ifeve.com/java-7-a-comprehensive-tutorial-1-1/#more-12688" rel="external nofollow noreferrer">并发编程网-ifeve.com</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-13 21:35:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%90%8c%e6%ad%a5/" title="同步">同步</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b/" title="编程">编程</a>, <a href="https://www.iamivan.net/tag/%e7%9b%91%e6%8e%a7/" title="监控">监控</a>, <a href="https://www.iamivan.net/tag/lock/" title="lock">lock</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java 7 并发编程指南中文版的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MArxVJp.html" rel="bookmark">《Java 7并发编程实战手册》第六章并发集合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由人民邮电出版社出版的&lt;Java 7并发编程实战手册&gt;终于出版了,译者是俞黎敏和申绍勇,该书将于近期上架.之前并发编程网组织翻译过此书,由于邮电出版社在并发网联系他们之前就找到了译者,所以没有采用并发网的译稿,但邮电出版社将于并发网展开合作,发布该书的样章(样章由并发网挑选,你也可以回帖告诉我们你想看哪一章的样章),并组织赠书活动回馈给活跃读者.活动详情请时刻关注并发网的微博和微信(微信号:ifeves),最后祝各位用餐愉快!:) 本章将介绍下列内容: 使用非阻塞式线程安全列表 使用阻塞式线程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RG4vb.html" rel="bookmark">C&plus;&plus;11 并发编程指南&mdash;&mdash;前言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开场白:前一段时间(大概在8月初)开始写 &lt;C++11 并发编程指南&gt;(最早更新于:http://www.cnblogs.com/haippy),但是由于个人能力有限,加上 9 月初到现在一直在忙着找工作(革命尚未成功),精力有限,难免出现错误,希望读者不吝指正. 另外,这是我在并发编程网上写的第一篇文章,终于迈开了第一步.受@腾飞同学的鼓励,后续我会在本站持续更新与 C++ 并发编程(尤其是C++11并发编程)相关的文章,但由于个人水平有限,希望读者指出我的错误,并多多包涵 最后,个人一直在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrdWBWz.html" rel="bookmark">OpenGL ES 2&period;0编程指南中文版&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				OpenGL ES 2.0编程指南中文版 http://download.csdn.net/detail/matrixhero/4962021			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWw1JrM.html" rel="bookmark">Java虚拟机并发编程样章</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				声明:本文是&lt;Java虚拟机并发编程&gt;的样章目录,感谢华章出版社授权并发编程网站发布样章. 第五章 讨喜的隔离可变性 讨喜的隔离可变性-前言讨喜的隔离可变性(一)用角色实现隔离可变性讨喜的隔离可变性(二)角色的特性讨喜的隔离可变性(三)创建角色讨喜的隔离可变性(四)收发消息讨喜的隔离可变性(五)同时使用多个角色讨喜的隔离可变性(六)多角色协作讨喜的隔离可变性(七)使用类型化角色讨喜的隔离可变性(八)类型化角色和Murmurs讨喜的隔离可变性(九)混合使用角色和STM讨喜的隔离可变性(十)使用T			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkVL7b.html" rel="bookmark">《Java 7并发编程实战手册》第四章线程执行器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				感谢人民邮电大学授权并发网发布此书样章,新书购买传送门=&gt;当当网 本章将介绍下列内容: 创建线程执行器 创建固定大小的线程执行器 在执行器中执行任务并返回结果 运行多个任务并处理第一个结果 运行多个任务并处理所有结果 在执行器中延时执行任务 在执行器中周期性执行任务 在执行器中取消任务 在执行器中控制任务的完成 在执行器中分离任务的启动与结果的处理 处理在执行器中被拒绝的任务 4.1 简介 通常,使用Java来开发一个简单的并发应用程序时,会创建一些 Runnable 对象,然后创建对应的 Th			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeRa5Vb.html" rel="bookmark">《Java 7并发编程实战手册》第五章Fork&sol;Join框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				感谢人民邮电大学授权并发网发布此书样章,新书已上市,购买请进当当网 本章内容包含: 创建Fork/Join线程池 合并任务的结果 异步运行任务 在任务中抛出异常 取消任务 5.1 简介 通常,使用Java来开发一个简单的并发应用程序时,会创建一些Runnable对象,然后创建对应的Thread 对象来控制程序中这些线程的创建.执行以及线程的状态.自从Java 5开始引入了Executor和ExecutorService接口以及实现这两个接口的类(比如ThreadPoolExecutor)之后,使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKQ8oz.html" rel="bookmark">Java 并发工具包 java&period;util&period;concurrent 用户指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				译序 本指南根据 Jakob Jenkov 最新博客翻译,请随时关注博客更新:http://tutorials.jenkov.com/java-util-concurrent/index.html. 本指南已做成中英文对照阅读版的 pdf 文档,有兴趣的朋友可以去 Java并发工具包java.util.concurrent用户指南中英文对照阅读版.pdf[带书签] 进行下载. 1. java.util.concurrent - Java 并发工具包 Java 5 添加了一个新的包到 Java 平			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKomDb.html" rel="bookmark">【JAVA秒会技术之多线程】Java 并发工具包 java&period;util&period;concurrent 用户指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. java.util.concurrent - Java 并发工具包 Java 5 添加了一个新的包到 Java 平台,java.util.concurrent 包.这个包包含有一系列能够让 Java 的并发编程变得更加简单轻松的类.在这个包被添加以前,你需要自己去动手实现自己的相关工具类.本文我将带你一一认识 java.util.concurrent 包里的这些类,然后你可以尝试着如何在项目中使用它们.本文中我将使用 Java 6 版本,我不确定这和 Java 5 版本里的是否有一些差异.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgELdZz.html" rel="bookmark">Java并发编程之阻塞队列详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是阻塞队列? 队列是一种数据结构,它有两个基本操作:在队列尾部加入一个元素,从队列头部移除一个元素.阻塞队里与普通的队列的区别在于,普通队列不会对当前线程产生阻塞,在面对类似消费者-生产者模型时,就必须额外的实现同步策略以及线程间唤醒策略.使用阻塞队列,就会对当前线程产生阻塞,当队列是空时,从队列中获取元素的操作将会被阻塞,当队列是满时,往队列里添加元素的操作也会被阻塞. 2.主要的阻塞队列及其方法 java.util.concurrent包下提供主要的几种阻塞队列,主要有以下几个: 1			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkm97b.html" rel="bookmark" class="title">推荐html5学习教程：HTML5高级程序设计</a>
					<div>
						今天,大多数现代浏览器都已经支持HTML5.学习体验HTML5带给Web开发的便捷.快速和强大功能,是每一位Web设计和开发人员的当务之急. 本书由旧金山HTML5用户组创建人联合另两位资深Web开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvD4Vz.html" rel="bookmark" class="title">抓住客户利用贴吧带来的可观IP！</a>
					<div>
						大家都有这样的体会,一个新站到日1000IP是一个非常漫长的一个过程,我的小站从正式开通一周每日平均才收录20多篇,我们可以算算一天20,一个月才800篇,因此做站需要投入大量精力(废话) 1.用户就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXQOlz.html" rel="bookmark" class="title">Photoshop美白教程&colon;给美女保留细节美白</a>
					<div>
						美白大致分为三个部分:第一步就是调白及润色,这一步为较为简单,调亮的时候不要太白.第二步磨皮,最快的方法就是用外挂滤镜完成.第三步局部润色及细节的处理,这一步需要有耐心,尤其高光的处理时候,要把肤色的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgvAOb.html" rel="bookmark" class="title">一种比较方便的ASP分页程序</a>
					<div>
						&lt;span class=&quot;style45&quot;&gt;&lt;%set conn=server.createobject(&quot;adodb.connection&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0oRJb.html" rel="bookmark" class="title">ASP实现播放Flash的例子</a>
					<div>
						&lt;!-- #include file = &quot;DB.fun&quot; --&gt;&lt;%mingcheng=request(&quot;mingcheng&quot;)sec=Re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr9Kjb.html" rel="bookmark" class="title">Mysql日期时间函数大全</a>
					<div>
						对于每个类型拥有的值范围以及并且指定日期何时间值的有效格式的描述见7.3.6 日期和时间类型.  这里是一个使用日期函数的例子.下面的查询选择了所有记录,其date_col的值是在最后30天以内:   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOak7xM.html" rel="bookmark" class="title">Excel2007中工作表怎么保护&quest;</a>
					<div>
						  Excel2007工作表的保护非常灵活,通过下面的实例,相信各位朋友会体会到它的好处.在此,将用到Excel2007的以下功能: ★插入公式 ★保护工作表 ★解除工作表保护 第一步:单元格保护 默 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE685oM.html" rel="bookmark" class="title">VS2008 ajaxToolkit的用法</a>
					<div>
						问题描述 我下载了ajaxToolkit.dll但是在做一些控件测试的时候总是报行:22错误:AjaxControlToolkitrequiresASP.NETAjax4.0scripts.Ensur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAQQeM.html" rel="bookmark" class="title">Android中XML文件的序列化生成与解析</a>
					<div>
						首先,我把Person的实体类 package net.loonggg.test; public class Person { private int id; private String age;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrVBKM.html" rel="bookmark" class="title">MYSQL DBA的个人修养</a>
					<div>
						MySQL DBA的个人修养 做为一个MySQL DBA,必须具有以下的素质: blackjack, roulette, slots, slots, blackjack, roulette, casi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nqkmz.html" rel="bookmark" class="title">NOI 2004 郁闷的出纳员 Splay</a>
					<div>
						网址:http://www.lydsy.com/JudgeOnline/problem.php?id=1503 所有的操作都比较简单,而对于调整工资,就必须思考下,不过也简单,直接变成调整界限,和新来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEAqap.html" rel="bookmark" class="title">快捷方式文件的参数隐藏技巧</a>
					<div>
						本文讲的是快捷方式文件的参数隐藏技巧, 0x00 前言 最近,phrozensoft在博客中介绍了关于快捷方式的利用技巧,实现了将应用程序存储在快捷方式当中,当用户打开快捷方式时,通过vbs脚本释放应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE9VBp.html" rel="bookmark" class="title">联合光伏有意接盘 英利能否跳出&OpenCurlyDoubleQuote;三角&rdquo;怪圈？</a>
					<div>
						盲目扩大导致连亏5年联合光伏有意接手英利能否跳出&quot;三角&quot;怪圈 即使头顶着光伏组件出货量全球第一的光环,但面临巨大的产能过剩危机,光伏巨头英利依然逃不过连续5年的亏损,逃不过资产债务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE9nxz.html" rel="bookmark" class="title">Java之美&lbrack;从菜鸟到高手演变&rsqb;之设计模式</a>
					<div>
						 本文转自http://blog.csdn.net/zhangerqing/article/details/8194653/ 设计模式(Design Patterns)                 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PjAqp.html" rel="bookmark" class="title">菜鸟急求，关于windows程序界面设计的。自己想了好长时间了，百度了很多资料也没看到点眉目</a>
					<div>
						问题描述 菜鸟急求,关于windows程序界面设计的.自己想了好长时间了,百度了很多资料也没看到点眉目 是这样的,我想在一个主窗口里,放置几个按钮控件,分别用来更新同一块矩形区域,但是每一个按钮按下, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEmNlM.html" rel="bookmark" class="title">SCRUM敏捷开发规则一栏</a>
					<div>
						敏捷.敏捷开发这类词最近很火!敏捷开发,就是指能够在需求迅速变化的情况下快速开发软件.我们接触最多的和敏捷相关的名词是:极限编程(XP).结对编程.测试驱动开发(TDD)等. 敏捷建模(Agile M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0y0BM.html" rel="bookmark" class="title">如何登录进入路由器（图解）</a>
					<div>
						路由器的登录步骤 如下:搭建配置环境第一次安装使用Quidway系列路由器时,只能通过配置口( Console)进行配置.498)this.w idth=498;' onmousewheel = 'j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRlw9b.html" rel="bookmark" class="title">两次验证后，西门子又在德国建起了首个电气化公路</a>
					<div>
						上周,西门子公司宣布与德国黑森州合作,将在 A5 联邦公路上铺设 10 公里的空中接触网货运线路,建设德国首个电气化公路 eHighway.西门子将在其中负责整个系统的规划.建设以及可选择性的维护服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r3lkz.html" rel="bookmark" class="title">Java常见内存溢出&lpar;OOM&rpar;解决方案</a>
					<div>
						1,         程序计数器 一块很小的内存空间,作用是当前线程所执行的字节码的行号指示器. 2,         java栈 与程序计数器一样,java栈(虚拟机栈)也是线程私有的,其生命周期与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod6YBM.html" rel="bookmark" class="title">ist iew-跪求：Android在listview中item没有type，如何控制展示不同类型的图片</a>
					<div>
						问题描述 跪求:Android在listview中item没有type,如何控制展示不同类型的图片 在一个界面中,一个接口有很多的图片,一张大图,下面4张小图,在接着两个大图,后面两张小图,就这个模式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7VRez.html" rel="bookmark" class="title">在Ubuntu下爽快开发Android必要的5款装备</a>
					<div>
						每一个程序员都有一颗极客的心,一些小装备肯定就比不可少啦.我刚刚从windows中转到Ubuntu,除了要适应ubuntu外,也想将windows中用惯了的小软件一起搬过去.在这里简单地罗列一下自己在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eBZYb.html" rel="bookmark" class="title">小白求解答工资问题</a>
					<div>
						问题描述 如果在公司干了一段时间(比如3年吧),公司给的工资不是很理想,该怎么办 解决方案 解决方案二:1:主要提加工资2:提了没用的话,低调骑驴找马,闪人解决方案三:只要3年不是打酱油过来的,有工作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNog8M.html" rel="bookmark" class="title">大数据时代的新闻报道</a>
					<div>
						一个大规模生产.分享和应用数据的时代正在开启.在互联网的世界中,人类每天在社交网络.电子商务与移动通信等平台上产生的数据要以&quot;PB&quot;来计数.大数据正在影响人类生活的方方面面.&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QJgdM.html" rel="bookmark" class="title">Android实现图片文字轮播特效&lowbar;Android</a>
					<div>
						本文实例讲解了Android实现图片文字轮播特效的详细代码,分享给大家供大家参考,具体内容如下 图片轮播是类似知乎日报上的一个轮播效果,如下图. 好了直接进入正题,首先是出示一下效果: MainAct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn80Eob.html" rel="bookmark" class="title">用js实现博客打赏功能&lowbar;javascript技巧</a>
					<div>
						前几天在一个博客中看到有一个打赏功能.其实简单说来就是在页面中加入动态DOM节点,使用的也是简单的HTML.CSS.JS这些前端的一些简单知识.在GitHub上有开源的代码,这里稍加改造就可以用在自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmXvLp.html" rel="bookmark" class="title">一些被忽视的PHP函数（简单整理）&lowbar;php技巧</a>
					<div>
						sys_getloadavg() 这个函数返回当前系统的负载均值信息(当然 Windows 下不适用),详细文档可以翻阅 PHP 的相关文档.文档中有段示例代码,基本上也就能看出它的用途了. 复制代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5Kvkz.html" rel="bookmark" class="title">再谈Python中的字符串与字符编码（推荐）&lowbar;python</a>
					<div>
						本节内容: 1.前言 2.相关概念 3.Python中的默认编码 4.Python2与Python3中对字符串的支持 5.字符编码转换 一.前言 Python中的字符编码是个老生常谈的话题,同行们都写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVg9az.html" rel="bookmark" class="title">浅谈地方分类信息网站的优势</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 随着各大分类信息网的负面消息量的增 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWRlPz.html" rel="bookmark" class="title">堆积如山的货物让拣货员承受巨大的心理和生理压力</a>
					<div>
						在亚马逊购物网站的仓库里,堆积如山的货物让拣货员承受巨大的心理和生理压力.之前有经理警告这些拣货员,穿袜子前最好涂点凡士林,免得脚上被磨出水泡. 11月28日,在美国纽约时报广场,人们在玩具反斗城内排 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boq62Bp.html" rel="bookmark" class="title">请教&colon;输入年份&comma;月份&period;能显示日历</a>
					<div>
						问题描述 请教:如何用vb.net编程实现:当输入月份(12),输入年份(2007),就会显示日历. 解决方案 解决方案二:具体点吧!是不是输入12,2007就显示2007-12解决方案三:月份输入1 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.035 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
